import request from '@/utils/request'

// 查询设备数据列表
export function listMqttData(query) {
  return request({
    url: '/worn/mqttData/list',
    method: 'get',
    params: query
  })
}

// 查询设备数据详细
export function getMqttData(id) {
  return request({
    url: '/worn/mqttData/' + id,
    method: 'get'
  })
}

// 新增设备数据
export function addMqttData(data) {
  return request({
    url: '/worn/mqttData',
    method: 'post',
    data: data
  })
}

// 修改设备数据
export function updateMqttData(data) {
  return request({
    url: '/worn/mqttData',
    method: 'put',
    data: data
  })
}

// 删除设备数据
export function delMqttData(id) {
  return request({
    url: '/worn/mqttData/' + id,
    method: 'delete'
  })
}
